net.sf.jasperreports.components.table.fill

## Class FillColumn

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.FillColumn

- All Implemented Interfaces:
    JRPropertiesHolder

      public class FillColumn
      extends java.lang.Object
      implements JRPropertiesHolder

  Version:
    $Id: FillColumn.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillColumn(BaseColumn tableColumn, int width, java.util.List<FillColumn> subcolumns, JRPropertiesMap properties)`
    `FillColumn(BaseColumn tableColumn, JRPropertiesMap properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.util.List<FillColumn>` | `getSubcolumns()`
    `BaseColumn` | `getTableColumn()`
    `int` | `getWidth()`
    `int` | `hashCode()`
    `boolean` | `hasProperties()` Checks whether the object has any properties.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillColumn

          public FillColumn(BaseColumn tableColumn,
                    JRPropertiesMap properties)

    - #### FillColumn

          public FillColumn(BaseColumn tableColumn,
                    int width,
                    java.util.List<FillColumn> subcolumns,
                    JRPropertiesMap properties)

  - ### Method Detail

    - #### getTableColumn

          public BaseColumn getTableColumn()

    - #### getWidth

          public int getWidth()

    - #### getSubcolumns

          public java.util.List<FillColumn> getSubcolumns()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com